MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024663Open CASCADE[OCCT] OCCT:Codingpublic2014-02-25 13:542014-11-11 12:51
Reporterdln 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024663: Removing unused "generic" classes. Part 4
DescriptionIn scope of this issue next unused generic class will be removed:

- TCollection_AVLBaseNode
- TCollection_AVLIterator
- TCollection_AVLList
- TCollection_AVLNode
- TCollection_AVLSearchTree

- PCollection_ATInOrderIterator
- PCollection_ATPostOrderIterator
- PCollection_ATPreOrderIterator
- PCollection_AVLIterator
- PCollection_AVLNode
- PCollection_AdjacentVerticesIterator
- PCollection_BackEdgesIterator
- PCollection_BreadthFirstIterator
- PCollection_DepthFirstIterator
- PCollection_DoubleMapIterator
- PCollection_DoubleMapNode
- PCollection_Edge
- PCollection_EdgesIterator
- PCollection_FrontEdgesIterator
- PCollection_HAVLSearchTree
- PCollection_HArbitraryTree
- PCollection_HDirectedGraph
- PCollection_HDoubleMap
- PCollection_HQueue
- PCollection_HSet
- PCollection_HStack
- PCollection_LeavesIterator
- PCollection_QueueIterator
- PCollection_RootsIterator
- PCollection_SetIterator
- PCollection_StackIterator
- PCollection_Vertex
- PCollection_VerticesIterator
- PCollection_HDataMap
- PCollection_HIndexedDataMap
- PCollection_IndexedDataMapNode
- PCollection_MapIterator
- PCollection_MapNode
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028026)
dln (developer)
2014-02-25 14:01

Changes are ready for review in CR24663 branch.
(0028104)
abv (manager)
2014-03-03 18:25

No remarks, please test
(0028125)
mkv (tester)
2014-03-04 15:16

Dear BugMaster,

Branch CR24663 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 281057b5b24f78c264dacc51376589646969fdb4

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 383110816 / 382850156
Total CPU difference: 53806.30000000002 / 52926.71000000003

Testing on Windows:
Total MEMORY difference: 429617200 / 428880624
Total CPU difference: 29473.109375 / 32992.875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 62684c43
Timestamp: 2014-02-20 05:28:46
Author: abv
Committer: abv
Details ] Diff ]
0024663: Removing unused "generic" classes. Part 4

In scope of this issue next unused generic class will be removed:

- TCollection_AVLBaseNode
- TCollection_AVLIterator
- TCollection_AVLList
- TCollection_AVLNode
- TCollection_AVLSearchTree

- PCollection_ATInOrderIterator
- PCollection_ATPostOrderIterator
- PCollection_ATPreOrderIterator
- PCollection_AVLIterator
- PCollection_AVLNode
- PCollection_AdjacentVerticesIterator
- PCollection_BackEdgesIterator
- PCollection_BreadthFirstIterator
- PCollection_DepthFirstIterator
- PCollection_DoubleMapIterator
- PCollection_DoubleMapNode
- PCollection_Edge
- PCollection_EdgesIterator
- PCollection_FrontEdgesIterator
- PCollection_HAVLSearchTree
- PCollection_HArbitraryTree
- PCollection_HDirectedGraph
- PCollection_HDoubleMap
- PCollection_HQueue
- PCollection_HSet
- PCollection_HStack
- PCollection_LeavesIterator
- PCollection_QueueIterator
- PCollection_RootsIterator
- PCollection_SetIterator
- PCollection_StackIterator
- PCollection_Vertex
- PCollection_VerticesIterator
- PCollection_HDataMap
- PCollection_HIndexedDataMap
- PCollection_IndexedDataMapNode
- PCollection_MapIterator
- PCollection_MapNode
mod - src/PCollection/PCollection.cdl Diff ] File ]
rm - src/PCollection/PCollection_AdjacentVerticesIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_ATInOrderIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_ATPostOrderIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_ATPreOrderIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_AVLIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_AVLNode.gxx Diff ] File ]
rm - src/PCollection/PCollection_BackEdgesIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_BreadthFirstIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_DepthFirstIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_DoubleMapIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_DoubleMapNode.gxx Diff ] File ]
rm - src/PCollection/PCollection_Edge.gxx Diff ] File ]
rm - src/PCollection/PCollection_EdgesIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_FrontEdgesIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_HArbitraryTree.cdl Diff ] File ]
rm - src/PCollection/PCollection_HArbitraryTree.gxx Diff ] File ]
rm - src/PCollection/PCollection_HAVLSearchTree.cdl Diff ] File ]
rm - src/PCollection/PCollection_HAVLSearchTree.gxx Diff ] File ]
rm - src/PCollection/PCollection_HDataMap.cdl Diff ] File ]
rm - src/PCollection/PCollection_HDataMap.gxx Diff ] File ]
rm - src/PCollection/PCollection_HDataMap.lxx Diff ] File ]
rm - src/PCollection/PCollection_HDirectedGraph.cdl Diff ] File ]
rm - src/PCollection/PCollection_HDirectedGraph.gxx Diff ] File ]
rm - src/PCollection/PCollection_HDoubleMap.cdl Diff ] File ]
rm - src/PCollection/PCollection_HDoubleMap.gxx Diff ] File ]
rm - src/PCollection/PCollection_HIndexedDataMap.cdl Diff ] File ]
rm - src/PCollection/PCollection_HIndexedDataMap.gxx Diff ] File ]
rm - src/PCollection/PCollection_HQueue.cdl Diff ] File ]
rm - src/PCollection/PCollection_HQueue.gxx Diff ] File ]
rm - src/PCollection/PCollection_HSet.cdl Diff ] File ]
rm - src/PCollection/PCollection_HSet.gxx Diff ] File ]
rm - src/PCollection/PCollection_HStack.cdl Diff ] File ]
rm - src/PCollection/PCollection_HStack.gxx Diff ] File ]
rm - src/PCollection/PCollection_IndexedDataMapNode.gxx Diff ] File ]
rm - src/PCollection/PCollection_LeavesIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_MapIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_MapNode.gxx Diff ] File ]
rm - src/PCollection/PCollection_QueueIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_RootsIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_SetIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_StackIterator.gxx Diff ] File ]
rm - src/PCollection/PCollection_Vertex.gxx Diff ] File ]
rm - src/PCollection/PCollection_VerticesIterator.gxx Diff ] File ]
mod - src/TCollection/FILES Diff ] File ]
mod - src/TCollection/TCollection.cdl Diff ] File ]
rm - src/TCollection/TCollection_AVLBaseNode.cdl Diff ] File ]
rm - src/TCollection/TCollection_AVLBaseNode.cxx Diff ] File ]
rm - src/TCollection/TCollection_AVLBaseNode.lxx Diff ] File ]
rm - src/TCollection/TCollection_AVLIterator.gxx Diff ] File ]
rm - src/TCollection/TCollection_AVLIterator.lxx Diff ] File ]
rm - src/TCollection/TCollection_AVLList.gxx Diff ] File ]
rm - src/TCollection/TCollection_AVLList.lxx Diff ] File ]
rm - src/TCollection/TCollection_AVLNode.gxx Diff ] File ]
rm - src/TCollection/TCollection_AVLNode.hxx Diff ] File ]
rm - src/TCollection/TCollection_AVLNode.lxx Diff ] File ]
rm - src/TCollection/TCollection_AVLSearchTree.cdl Diff ] File ]
rm - src/TCollection/TCollection_AVLSearchTree.gxx Diff ] File ]
rm - src/TCollection/TCollection_AVLSearchTree.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-25 13:54 dln New Issue
2014-02-25 13:54 dln Assigned To => abv
2014-02-25 14:01 dln Note Added: 0028026
2014-02-25 14:01 dln Status new => resolved
2014-03-03 18:25 abv Note Added: 0028104
2014-03-03 18:25 abv Assigned To abv => bugmaster
2014-03-03 18:25 abv Status resolved => reviewed
2014-03-03 18:37 mkv Assigned To bugmaster => mkv
2014-03-04 15:16 mkv Note Added: 0028125
2014-03-04 15:17 mkv Test case number => Not needed
2014-03-04 15:17 mkv Assigned To mkv => bugmaster
2014-03-04 15:17 mkv Status reviewed => tested
2014-03-11 14:41 abv Changeset attached => occt master 62684c43
2014-03-11 14:41 abv Assigned To bugmaster => abv
2014-03-11 14:41 abv Status tested => verified
2014-03-11 14:41 abv Resolution open => fixed
2014-04-04 12:06 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:48 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker